DIDIWIKI(1)

NAME
didiwiki - simple wiki implementation with built-in webserver

SYNOPSIS
didiwiki [options]

DESCRIPTION
didiwiki is aimed at those who need a quick and lightweight wiki for personal use, such as notes, "to do" lists, etc. It is written in C, and has very low system requirements (binary size of ~25k stripped). This makes it particularly useful for handhelds. didiwiki does not require installation of a separate webserver, scripting language, or database. The appearance of the wiki pages may be altered by placing a styles.css in ~/.didiwiki or in the directory specified using the --home option.

OPTIONS

-d, --debug
    Start in debug mode. In this case, didiwiki will not bind to any IP address or port: it will only read the requests from standard input (stdin)

-h directory, --home=directory
    By default didiwiki stores its pages in ~/.didiwiki. You can override this by specifying an alternative directory

-l ipaddr, --listen=ipaddr
    By default didiwiki binds to "0.0.0.0". You can override this by specifying an alternative IP address

-p port, --port=port
    By default didiwiki will listen on port 8000. You can override this by specifying an alternative port

--help
    Display the help message

EXAMPLES

didiwiki uses syslog to log when it is launched or stopped, and when a page is accessed or modified. Here is an example configuration of rsyslog:

    $ cat /etc/rsyslog.d/didiwiki.conf
    local0.*    /var/log/didiwiki.log

In order to launch didiwiki on a specific IP and port:

    $ didiwiki -l 127.0.0.1 -p 8080

AUTHOR
didiwiki was written by Matthew Allum <mallum@o-hand.com>.